### Method

# Gio Application set_version

since: 2.80

#### Declaration [src]

    void
    g_application_set_version (
      GApplication* application,
      const gchar* version
    )

#### Description [src]

Sets the version number of `application`. This will be used to implement a `--version` command line argument

The application version can only be modified if `application` has not yet been registered.

Available since: 2.80

Sets property | `Gio.Application:version`

#### Parameters

`version`

  Type: `const gchar*`

  The version of `application`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.